Commit effb9e69 authored by Adam Mercer's avatar Adam Mercer

one dependency per line in spec files

parent 4b63a46a
......@@ -6,8 +6,33 @@ Release: 1%{?dist}
Summary: GSTLAL Burst
License: GPL
Group: LSC Software/Data Analysis
Requires: gstlal-ugly >= @MIN_GSTLAL_UGLY_VERSION@ gstlal >= @MIN_GSTLAL_VERSION@ python >= 2.6 glue >= @MIN_GLUE_VERSION@ glue-segments >= @MIN_GLUE_VERSION@ python-pylal >= @MIN_PYLAL_VERSION@ %{gstreamername} >= @MIN_GSTREAMER_VERSION@ %{gstreamername}-plugins-base >= @MIN_GSTREAMER_VERSION@ %{gstreamername}-plugins-good >= 0.10.27 gstreamer_lscsoft-python >= 0.10.21 pygobject2 numpy scipy lal >= @MIN_LAL_VERSION@ lalmetaio >= @MIN_LALMETAIO_VERSION@ lalburst >= @MIN_LALBURST_VERSION@
BuildRequires: gstlal-devel >= @MIN_GSTLAL_VERSION@ python-devel >= 2.6 fftw-devel >= 3 %{gstreamername}-devel >= @MIN_GSTREAMER_VERSION@ %{gstreamername}-plugins-base-devel >= @MIN_GSTREAMER_VERSION@ pygobject2-devel lal-devel >= @MIN_LAL_VERSION@ lalmetaio-devel >= @MIN_LALMETAIO_VERSION@
Requires: gstlal-ugly >= @MIN_GSTLAL_UGLY_VERSION@
Requires: gstlal >= @MIN_GSTLAL_VERSION@
Requires: python >= 2.6
Requires: glue >= @MIN_GLUE_VERSION@
Requires: glue-segments >= @MIN_GLUE_VERSION@
Requires: python-pylal >= @MIN_PYLAL_VERSION@
Requires: %{gstreamername} >= @MIN_GSTREAMER_VERSION@
Requires: %{gstreamername}-plugins-base >= @MIN_GSTREAMER_VERSION@
Requires: %{gstreamername}-plugins-good >= 0.10.27
Requires: gstreamer_lscsoft-python >= 0.10.21
Requires: pygobject2
Requires: numpy
Requires: scipy
Requires: lal >= @MIN_LAL_VERSION@
Requires: lalmetaio >= @MIN_LALMETAIO_VERSION@
Requires: lalburst >= @MIN_LALBURST_VERSION@
BuildRequires: gstlal-devel >= @MIN_GSTLAL_VERSION@
BuildRequires: python-devel >= 2.6
BuildRequires: fftw-devel >= 3
BuildRequires: %{gstreamername}-devel >= @MIN_GSTREAMER_VERSION@
BuildRequires: %{gstreamername}-plugins-base-devel >= @MIN_GSTREAMER_VERSION@
BuildRequires: pygobject2-devel
BuildRequires: lal-devel >= @MIN_LAL_VERSION@
BuildRequires: lalmetaio-devel >= @MIN_LALMETAIO_VERSION@
Conflicts: gstlal-ugly < 0.6.0
Source: @PACKAGE_NAME@-%{version}.tar.gz
URL: https://www.lsc-group.phys.uwm.edu/daswg/projects/gstlal.html
......
......@@ -6,8 +6,30 @@ Release: 1%{?dist}
Summary: GSTLAL Calibration
License: GPL
Group: LSC Software/Data Analysis
Requires: gstlal >= @MIN_GSTLAL_VERSION@ gstlal-ugly >= @MIN_GSTLALUGLY_VERSION@ python >= @MIN_PYTHON_VERSION@ glue >= @MIN_GLUE_VERSION@ glue-segments >= @MIN_GLUE_VERSION@ python-pylal >= @MIN_PYLAL_VERSION@ %{gstreamername} >= @MIN_GSTREAMER_VERSION@ %{gstreamername}-plugins-base >= @MIN_GSTREAMER_VERSION@ %{gstreamername}-plugins-good >= 1.2.4 %{gstreamername}-python >= 0.10.21 numpy scipy lal >= @MIN_LAL_VERSION@ lalmetaio >= @MIN_LALMETAIO_VERSION@
BuildRequires: gstlal-devel >= @MIN_GSTLAL_VERSION@ python-devel >= @MIN_PYTHON_VERSION@ fftw-devel >= 3 %{gstreamername}-devel >= @MIN_GSTREAMER_VERSION@ %{gstreamername}-plugins-base-devel >= @MIN_GSTREAMER_VERSION@ lal-devel >= @MIN_LAL_VERSION@ lalmetaio-devel >= @MIN_LALMETAIO_VERSION@
Requires: gstlal >= @MIN_GSTLAL_VERSION@
Requires: gstlal-ugly >= @MIN_GSTLALUGLY_VERSION@
Requires: python >= @MIN_PYTHON_VERSION@
Requires: glue >= @MIN_GLUE_VERSION@
Requires: glue-segments >= @MIN_GLUE_VERSION@
Requires: python-pylal >= @MIN_PYLAL_VERSION@
Requires: %{gstreamername} >= @MIN_GSTREAMER_VERSION@
Requires: %{gstreamername}-plugins-base >= @MIN_GSTREAMER_VERSION@
Requires: %{gstreamername}-plugins-good >= 1.2.4
Requires: %{gstreamername}-python >= 0.10.21
Requires: numpy
Requires: scipy
Requires: lal >= @MIN_LAL_VERSION@
Requires: lalmetaio >= @MIN_LALMETAIO_VERSION@
BuildRequires: gstlal-devel >= @MIN_GSTLAL_VERSION@
BuildRequires: python-devel >= @MIN_PYTHON_VERSION@
BuildRequires: fftw-devel >= 3
BuildRequires: %{gstreamername}-devel >= @MIN_GSTREAMER_VERSION@
BuildRequires: %{gstreamername}-plugins-base-devel >= @MIN_GSTREAMER_VERSION@
BuildRequires: lal-devel >= @MIN_LAL_VERSION@
BuildRequires: lalmetaio-devel >= @MIN_LALMETAIO_VERSION@
Conflicts: gstlal-ugly < 0.6.0
Source: @PACKAGE_NAME@-%{version}.tar.gz
URL: https://www.lsc-group.phys.uwm.edu/daswg/projects/gstlal.html
......
......@@ -6,8 +6,41 @@ Release: 1%{?dist}
Summary: GSTLAL Experimental Supplements
License: GPL
Group: LSC Software/Data Analysis
Requires: gstlal >= @MIN_GSTLAL_VERSION@ gstlal-ugly >= @MIN_GSTLALUGLY_VERSION@ python >= @MIN_PYTHON_VERSION@ glue >= @MIN_GLUE_VERSION@ glue-segments >= @MIN_GLUE_VERSION@ python-pylal >= @MIN_PYLAL_VERSION@ %{gstreamername} >= @MIN_GSTREAMER_VERSION@ %{gstreamername}-plugins-base >= @MIN_GSTREAMER_VERSION@ %{gstreamername}-plugins-good >= 0.10.27 gstreamer_lscsoft-python >= 0.10.21 h5py numpy scipy lal >= @MIN_LAL_VERSION@ lal-python >= @MIN_LAL_VERSION@ lalmetaio >= @MIN_LALMETAIO_VERSION@ lalinspiral >= @MIN_LALINSPIRAL_VERSION@ lalinspiral-python >= @MIN_LALINSPIRAL_VERSION@ gsl ligo-gracedb >= 1.11
BuildRequires: doxygen graphviz gstlal-devel >= @MIN_GSTLAL_VERSION@ python-devel >= @MIN_PYTHON_VERSION@ %{gstreamername}-devel >= @MIN_GSTREAMER_VERSION@ %{gstreamername}-plugins-base-devel >= @MIN_GSTREAMER_VERSION@ lal-devel >= @MIN_LAL_VERSION@ lal-python >= @MIN_LAL_VERSION@ lalmetaio-devel >= @MIN_LALMETAIO_VERSION@ lalinspiral-devel >= @MIN_LALINSPIRAL_VERSION@ lalinspiral-python >= @MIN_LALINSPIRAL_VERSION@ gsl-devel
Requires: gstlal >= @MIN_GSTLAL_VERSION@
Requires: gstlal-ugly >= @MIN_GSTLALUGLY_VERSION@
Requires: python >= @MIN_PYTHON_VERSION@
Requires: glue >= @MIN_GLUE_VERSION@
Requires: glue-segments >= @MIN_GLUE_VERSION@
Requires: python-pylal >= @MIN_PYLAL_VERSION@
Requires: %{gstreamername} >= @MIN_GSTREAMER_VERSION@
Requires: %{gstreamername}-plugins-base >= @MIN_GSTREAMER_VERSION@
Requires: %{gstreamername}-plugins-good >= 0.10.27
Requires: gstreamer_lscsoft-python >= 0.10.21
Requires: h5py
Requires: numpy
Requires: scipy
Requires: lal >= @MIN_LAL_VERSION@
Requires: lal-python >= @MIN_LAL_VERSION@
Requires: lalmetaio >= @MIN_LALMETAIO_VERSION@
Requires: lalinspiral >= @MIN_LALINSPIRAL_VERSION@
Requires: lalinspiral-python >= @MIN_LALINSPIRAL_VERSION@
Requires: gsl
Requires: ligo-gracedb >= 1.11
BuildRequires: doxygen
BuildRequires: graphviz
BuildRequires: gstlal-devel >= @MIN_GSTLAL_VERSION@
BuildRequires: python-devel >= @MIN_PYTHON_VERSION@
BuildRequires: %{gstreamername}-devel >= @MIN_GSTREAMER_VERSION@
BuildRequires: %{gstreamername}-plugins-base-devel >= @MIN_GSTREAMER_VERSION@
BuildRequires: lal-devel >= @MIN_LAL_VERSION@
BuildRequires: lal-python >= @MIN_LAL_VERSION@
BuildRequires: lalmetaio-devel >= @MIN_LALMETAIO_VERSION@
BuildRequires: lalinspiral-devel >= @MIN_LALINSPIRAL_VERSION@
BuildRequires: lalinspiral-python >= @MIN_LALINSPIRAL_VERSION@
BuildRequires: gsl-devel
Source: @PACKAGE_NAME@-%{version}.tar.gz
URL: https://www.lsc-group.phys.uwm.edu/daswg/projects/gstlal.html
Packager: Kipp Cannon <kipp.cannon@ligo.org>
......
......@@ -6,8 +6,46 @@ Release: 1%{?dist}
Summary: GSTLAL Experimental Supplements
License: GPL
Group: LSC Software/Data Analysis
Requires: gstlal >= @MIN_GSTLAL_VERSION@ python >= @MIN_PYTHON_VERSION@ glue >= @MIN_GLUE_VERSION@ glue-segments >= @MIN_GLUE_VERSION@ python-pylal >= @MIN_PYLAL_VERSION@ fftw >= 3 %{gstreamername} >= @MIN_GSTREAMER_VERSION@ %{gstreamername}-plugins-base >= @MIN_GSTREAMER_VERSION@ %{gstreamername}-plugins-good >= 1.2.4 %{gstreamername}-python >= 0.10.21 numpy scipy lal >= @MIN_LAL_VERSION@ lalmetaio >= @MIN_LALMETAIO_VERSION@ gsl ldas-tools-framecpp >= @MIN_FRAMECPP_VERSION@ gds-core >= @MIN_GDS_VERSION@ gds-crtools >= @MIN_GDS_VERSION@ gds-services >= @MIN_GDS_VERSION@ cyrus-sasl-lib nds2-client >= @MIN_NDS_VERSION@ orc >= @MIN_ORC_VERSION@
BuildRequires: doxygen graphviz gstlal-devel >= @MIN_GSTLAL_VERSION@ python-devel >= @MIN_PYTHON_VERSION@ fftw-devel >= 3 %{gstreamername}-devel >= @MIN_GSTREAMER_VERSION@ %{gstreamername}-plugins-base-devel >= @MIN_GSTREAMER_VERSION@ lal-devel >= @MIN_LAL_VERSION@ lalmetaio-devel >= @MIN_LALMETAIO_VERSION@ gsl-devel ldas-tools-framecpp-devel >= @MIN_FRAMECPP_VERSION@ gds-devel >= @MIN_GDS_VERSION@ cyrus-sasl-devel nds2-client-devel >= @MIN_NDS_VERSION@ nds2-client-headers >= @MIN_NDS_VERSION@ orc >= @MIN_ORC_VERSION@
Requires: gstlal >= @MIN_GSTLAL_VERSION@
Requires: python >= @MIN_PYTHON_VERSION@
Requires: glue >= @MIN_GLUE_VERSION@
Requires: glue-segments >= @MIN_GLUE_VERSION@
Requires: python-pylal >= @MIN_PYLAL_VERSION@
Requires: fftw >= 3 %{gstreamername} >= @MIN_GSTREAMER_VERSION@
Requires: %{gstreamername}-plugins-base >= @MIN_GSTREAMER_VERSION@
Requires: %{gstreamername}-plugins-good >= 1.2.4
Requires: %{gstreamername}-python >= 0.10.21
Requires: numpy
Requires: scipy
Requires: lal >= @MIN_LAL_VERSION@
Requires: lalmetaio >= @MIN_LALMETAIO_VERSION@
Requires: gsl
Requires: ldas-tools-framecpp >= @MIN_FRAMECPP_VERSION@
Requires: gds-core >= @MIN_GDS_VERSION@
Requires: gds-crtools >= @MIN_GDS_VERSION@
Requires: gds-services >= @MIN_GDS_VERSION@
Requires: cyrus-sasl-lib
Requires: nds2-client >= @MIN_NDS_VERSION@
Requires: orc >= @MIN_ORC_VERSION@
BuildRequires: doxygen
BuildRequires: graphviz
BuildRequires: gstlal-devel >= @MIN_GSTLAL_VERSION@
BuildRequires: python-devel >= @MIN_PYTHON_VERSION@
BuildRequires: fftw-devel >= 3
BuildRequires: %{gstreamername}-devel >= @MIN_GSTREAMER_VERSION@
BuildRequires: %{gstreamername}-plugins-base-devel >= @MIN_GSTREAMER_VERSION@
BuildRequires: lal-devel >= @MIN_LAL_VERSION@
BuildRequires: lalmetaio-devel >= @MIN_LALMETAIO_VERSION@
BuildRequires: gsl-devel
BuildRequires: ldas-tools-framecpp-devel >= @MIN_FRAMECPP_VERSION@
BuildRequires: gds-devel >= @MIN_GDS_VERSION@
BuildRequires: cyrus-sasl-devel
BuildRequires: nds2-client-devel >= @MIN_NDS_VERSION@
BuildRequires: nds2-client-headers >= @MIN_NDS_VERSION@
BuildRequires: orc >= @MIN_ORC_VERSION@
Source: @PACKAGE_NAME@-%{version}.tar.gz
URL: https://www.lsc-group.phys.uwm.edu/daswg/projects/gstlal.html
Packager: Kipp Cannon <kipp.cannon@ligo.org>
......
......@@ -6,8 +6,46 @@ Release: 1%{?dist}
Summary: GSTLAL
License: GPL
Group: LSC Software/Data Analysis
Requires: python >= @MIN_PYTHON_VERSION@ glue >= @MIN_GLUE_VERSION@ glue-segments >= @MIN_GLUE_VERSION@ python-pylal >= @MIN_PYLAL_VERSION@ fftw >= 3 %{gstreamername} >= @MIN_GSTREAMER_VERSION@ %{gstreamername}-plugins-base >= @MIN_GSTREAMER_VERSION@ %{gstreamername}-plugins-good >= 1.2.4 %{gstreamername}-python >= 0.10.21 numpy scipy lal >= @MIN_LAL_VERSION@ lal-python >= @MIN_LAL_VERSION@ lalmetaio >= @MIN_LALMETAIO_VERSION@ lalsimulation >= @MIN_LALSIMULATION_VERSION@ lalburst >= @MIN_LALBURST_VERSION@ lalinspiral >= @MIN_LALINSPIRAL_VERSION@ gsl orc >= @MIN_ORC_VERSION@ dbus-python avahi-ui-tools
BuildRequires: doxygen graphviz python-devel >= @MIN_PYTHON_VERSION@ gobject-introspection-devel >= @MIN_GOBJECT_INTROSPECTION_VERSION@ fftw-devel >= 3 %{gstreamername}-devel >= @MIN_GSTREAMER_VERSION@ %{gstreamername}-plugins-base-devel >= @MIN_GSTREAMER_VERSION@ numpy lal-devel >= @MIN_LAL_VERSION@ lal-python >= @MIN_LAL_VERSION@ lalmetaio-devel >= @MIN_LALMETAIO_VERSION@ lalsimulation-devel >= @MIN_LALSIMULATION_VERSION@ lalburst-devel >= @MIN_LALBURST_VERSION@ lalinspiral-devel >= @MIN_LALINSPIRAL_VERSION@ gsl-devel orc >= @MIN_ORC_VERSION@
Requires: python >= @MIN_PYTHON_VERSION@
Requires: glue >= @MIN_GLUE_VERSION@
Requires: glue-segments >= @MIN_GLUE_VERSION@
Requires: python-pylal >= @MIN_PYLAL_VERSION@
Requires: fftw >= 3
Requires: %{gstreamername} >= @MIN_GSTREAMER_VERSION@
Requires: %{gstreamername}-plugins-base >= @MIN_GSTREAMER_VERSION@
Requires: %{gstreamername}-plugins-good >= 1.2.4
Requires: %{gstreamername}-python >= 0.10.21
Requires: numpy
Requires: scipy
Requires: lal >= @MIN_LAL_VERSION@
Requires: lal-python >= @MIN_LAL_VERSION@
Requires: lalmetaio >= @MIN_LALMETAIO_VERSION@
Requires: lalsimulation >= @MIN_LALSIMULATION_VERSION@
Requires: lalburst >= @MIN_LALBURST_VERSION@
Requires: lalinspiral >= @MIN_LALINSPIRAL_VERSION@
Requires: gsl
Requires: orc >= @MIN_ORC_VERSION@
Requires: dbus-python
Requires: avahi-ui-tools
BuildRequires: doxygen
BuildRequires: graphviz
BuildRequires: python-devel >= @MIN_PYTHON_VERSION@
BuildRequires: gobject-introspection-devel >= @MIN_GOBJECT_INTROSPECTION_VERSION@
BuildRequires: fftw-devel >= 3
BuildRequires: %{gstreamername}-devel >= @MIN_GSTREAMER_VERSION@
BuildRequires: %{gstreamername}-plugins-base-devel >= @MIN_GSTREAMER_VERSION@
BuildRequires: numpy
BuildRequires: lal-devel >= @MIN_LAL_VERSION@
BuildRequires: lal-python >= @MIN_LAL_VERSION@
BuildRequires: lalmetaio-devel >= @MIN_LALMETAIO_VERSION@
BuildRequires: lalsimulation-devel >= @MIN_LALSIMULATION_VERSION@
BuildRequires: lalburst-devel >= @MIN_LALBURST_VERSION@
BuildRequires: lalinspiral-devel >= @MIN_LALINSPIRAL_VERSION@
BuildRequires: gsl-devel
BuildRequires: orc >= @MIN_ORC_VERSION@
Source: @PACKAGE_NAME@-%{version}.tar.gz
URL: https://www.lsc-group.phys.uwm.edu/daswg/projects/gstlal.html
Packager: Kipp Cannon <kipp.cannon@ligo.org>
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment